cmake_minimum_required(VERSION 3.10)

project(P2_1_Sortieren)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Add an executable with the above sources
find_package(OpenMP REQUIRED)
if(OpenMP_CXX_FOUND)
    add_executable(P2_1_Sortieren main.cpp sorting.cpp unit_tests.cpp)
    target_link_libraries(P2_1_Sortieren OpenMP::OpenMP_CXX)
endif()